oxigraph-dump(1)

NAME
oxigraph-dump - Dump the store content into a file

SYNOPSIS
oxigraph dump <-l|--location> [-f|--file] [--format] [--graph] [-h|--help]

DESCRIPTION
Dump the store content into a file

OPTIONS

-l, --location <LOCATION>
    Directory in which Oxigraph data are persisted

-f, --file <FILE>
    File to dump to

    If no file is given, stdout is used. In this case, the output format must be specified using the --format option.

--format <FORMAT>
    The format of the file(s) to dump

    It can be an extension like "nt" or a MIME type like "application/n-triples".

    By default, the format is guessed from the target file extension.

--graph <GRAPH>
    Name of the graph to dump

    Use "default" to dump the default graph.

    By default, all graphs are dumped if the output format supports datasets. If the format does not support named graphs, then this parameter must be set.

-h, --help
    Print help (see a summary with '-h')